> For the complete documentation index, see [llms.txt](https://developers-apps-in-toss.toss.im/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers-apps-in-toss.toss.im/documentation/sdk/domains-api/tossauth/tossauth.sign.md).

# TossAuth.sign

> 함수형 API `appsInTossSignTossCert`으로도 같은 기능을 쓸 수 있어요.

### 기능 설명

토스 인증서를 사용해 서명해요. `txId`는 토스 인증서를 사용한 본인확인, 간편인증, 전자서명에서 사용하는 Transaction Id예요.

토스앱 Android/iOS `5.233.0` 이상에서 사용할 수 있어요. 미지원 버전에서 호출하면 `UNSUPPORTED_APP_VERSION` 에러가 발생해요.

### 타입

```ts
TossAuth.sign(params: AppsInTossSignTossCertParams): Promise<void>;
```

**Params**

```ts
type AppsInTossSignTossCertParams = {
  txId: string;
};
```

**Response**

없음

### 에러 코드

에러 코드는 catch한 에러의 `error.code` 값이에요.

| 코드                        | 설명                                                                                                                              |
| ------------------------- | ------------------------------------------------------------------------------------------------------------------------------- |
| `UNSUPPORTED_APP_VERSION` | 실행 중인 토스앱 버전이 이 기능을 지원하지 않으면 호출 즉시 발생해요. `TossAuth.sign.isSupported()`로 사전 확인하고, 발생 시 `error.message`(업데이트 안내 문구)를 사용자에게 보여주세요. |

### 예시 코드

```js
import { TossAuth } from "@apps-in-toss/web-framework";

const button = document.querySelector("#sign-button");

button.addEventListener("click", async () => {
  try {
    await TossAuth.sign({ txId: "f2e1a6df..." });
  } catch (error) {
    console.error(error);
  }
});
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers-apps-in-toss.toss.im/documentation/sdk/domains-api/tossauth/tossauth.sign.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
